---
lang: en
title: 'API docs: rest.restbindings.http'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.restbindings.http.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RestBindings](./rest.restbindings.md) &gt; [Http](./rest.restbindings.http.md)

## RestBindings.Http namespace

Request-specific bindings

**Signature:**

```typescript
namespace Http 
```

## Variables

<table><thead><tr><th>

Variable


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[CONTEXT](./rest.restbindings.http.context.md)


</td><td>

Binding key for setting and injecting the http request context


</td></tr>
<tr><td>

[REQUEST](./rest.restbindings.http.request.md)


</td><td>

Binding key for setting and injecting the http request


</td></tr>
<tr><td>

[RESPONSE](./rest.restbindings.http.response.md)


</td><td>

Binding key for setting and injecting the http response


</td></tr>
</tbody></table>

